%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gnome-screenshot
Version:	41.0
Release:	%mkrel 4
Summary:	GNOME Screenshot utility
License:	GPLv2+
Group:		File tools
Url:		https://wiki.gnome.org/GnomeUtils/Baobab
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# From https://gitlab.gnome.org/GNOME/gnome-screenshot/-/commit/b60dad3c2536c17bd201f74ad8e40eb74385ed9f
Patch0:		b60dad3c2536c17bd201f74ad8e40eb74385ed9f.patch
BuildRequires:	gettext
BuildRequires:	meson
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(glib-2.0) >= 2.31.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(libcanberra-gtk3)
BuildRequires:	pkgconfig(appstream-glib)
BuildRequires:	pkgconfig(libhandy-1)
Conflicts:	gnome-utils < 1:3.3.1

%description
Gnome screenshot utility.

%prep
%setup -q
%autopatch -p1

%build
%meson
%meson_build

%install
%meson_install

#handle docs with files section
rm -rf %{buildroot}%{_defaultdocdir}

%find_lang %{name} --with-gnome

%check
%meson_test

%files -f %{name}.lang
%doc NEWS
%{_bindir}/%{name}
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-screenshot.gschema.xml
%{_datadir}/applications/org.gnome.Screenshot.desktop
%{_datadir}/dbus-1/services/org.gnome.Screenshot.service
%{_mandir}/man1/%{name}.1.*
%{_datadir}/metainfo/org.gnome.Screenshot.metainfo.xml
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Screenshot.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Screenshot-symbolic.svg


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 41.0-4.mga10
+ Revision: 2216263
- Mageia 10 Mass Rebuild

* Mon Nov 07 2022 ghibo <ghibo> 41.0-3.mga9
+ Revision: 1904274
- Add Patch to fix meson building

* Thu Mar 31 2022 umeabot <umeabot> 41.0-2.mga9
+ Revision: 1837155
- Mageia 9 Mass Rebuild

* Mon Jan 10 2022 tv <tv> 41.0-1.mga9
+ Revision: 1767589
- 41.0

* Wed Mar 24 2021 ovitters <ovitters> 40.0-1.mga9
+ Revision: 1709138
- new version 40.0

* Thu Sep 10 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1624298
- new version 3.38.0

* Fri Aug 07 2020 ovitters <ovitters> 3.37.90-1.mga8
+ Revision: 1611849
- new version 3.37.90

* Thu Jun 11 2020 ovitters <ovitters> 3.37.1-1.mga8
+ Revision: 1592429
- new version 3.37.1

* Tue Mar 10 2020 daviddavid <daviddavid> 3.36.0-1.mga8
+ Revision: 1555263
- new version 3.36.0

* Sun Feb 16 2020 umeabot <umeabot> 3.34.0-2.mga8
+ Revision: 1535904
- Mageia 8 Mass Rebuild

* Mon Oct 14 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1453118
- new version 3.34.0

* Tue Aug 06 2019 ovitters <ovitters> 3.33.90-1.mga8
+ Revision: 1427784
- new version 3.33.90

* Wed Apr 17 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392441
- Rebuild with meson 0.50.1

* Fri Mar 15 2019 daviddavid <daviddavid> 3.32.0-1.mga7
+ Revision: 1377372
- new version 3.32.0

* Tue Sep 04 2018 daviddavid <daviddavid> 3.30.0-1.mga7
+ Revision: 1256994
- new version 3.30.0

* Mon Oct 30 2017 ovitters <ovitters> 3.26.0-1.mga7
+ Revision: 1174975
- new version 3.26.0

* Wed Aug 23 2017 ovitters <ovitters> 3.25.0-1.mga7
+ Revision: 1143396
- br pkgconfig(appstream-glib)
- switch to meson
- new version 3.25.0

* Wed Sep 21 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055021
- new version 3.22.0

* Sun Sep 18 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1053920
- new version 3.20.1

* Thu Feb 11 2016 umeabot <umeabot> 3.18.0-2.mga6
+ Revision: 954127
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882785
- new release

* Mon Jun 22 2015 ovitters <ovitters> 3.16.2-1.mga6
+ Revision: 838806
- new version 3.16.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 746236
- Second Mageia 5 Mass Rebuild

* Tue Sep 23 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 721234
- new version 3.14.0

* Tue Sep 16 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 690901
- new version 3.13.92
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 dams <dams> 3.13.90-1.mga5
+ Revision: 666643
- new version 3.13.90

* Tue Mar 25 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608681
- add patch for desktop translation
- new version 3.12.0

* Tue Feb 18 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 594144
- new version 3.11.90

* Tue Nov 19 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 551941
- new version 3.10.1

* Sat Nov 09 2013 ovitters <ovitters> 3.10.0-3.mga4
+ Revision: 550167
- fix url

* Sat Oct 19 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 536678
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 485324
- new version 3.10.0

* Tue Aug 20 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 468308
- new version 3.9.90

* Fri Jul 26 2013 dams <dams> 3.9.4-1.mga4
+ Revision: 458223
- new version 3.9.4

* Wed Jul 10 2013 ovitters <ovitters> 3.8.3-1.mga4
+ Revision: 452567
- new version 3.8.3

* Sat May 25 2013 ovitters <ovitters> 3.8.2-1.mga4
+ Revision: 427126
- new version 3.8.2

* Sat Jan 12 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 352194
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 3.6.1-1.mga3
+ Revision: 317398
- new version 3.6.1

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297133
- new version 3.6.0

* Mon Sep 17 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295601
- new version 3.5.92

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 288078
- new version 3.5.91

* Mon Aug 20 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282507
- new version 3.5.90

* Mon Jul 16 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271570
- new version 3.5.4

* Tue Jun 26 2012 ovitters <ovitters> 3.5.2-1.mga3
+ Revision: 264101
- update file list
- drop desktop file patch

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231111
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226670
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224448
- new version 3.3.92

* Mon Mar 05 2012 wally <wally> 3.3.91-1.mga2
+ Revision: 219157
- new version 3.3.91

* Mon Feb 06 2012 wally <wally> 3.3.2-1.mga2
+ Revision: 205433
- new version 3.3.2

* Sat Oct 29 2011 wally <wally> 3.3.1-1.mga2
+ Revision: 159602
- drop Unity specific portions from desktop file
- imported package gnome-screenshot

